Bug 500140 - No icons shown during menu creation
No icons shown during menu creation
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-11 07:48 EDT by antonio montagnani
Modified: 2010-06-28 04:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 04:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2009-05-11 07:48:43 EDT
Description of problem:
When I try to create a new item in menu I cannot choose any icons, as they are not shown in windows (i.e. folder seems empty)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open alacarte
2.select to create a new item anywhere
3.try to select an icon
Actual results:
No icons are shown

Expected results:
Icon to be shown

Additional info:
same problem when I want to create a launcher on my desktop
Comment 1 Matthias Clasen 2009-05-11 20:33:06 EDT
Which directory does the icon chooser open with ?
And is the directory actually empty on disk ?
Comment 2 Bug Zapper 2009-06-09 11:37:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 antonio montagnani 2009-10-04 13:18:43 EDT
I confirm that it has not been solved
Comment 4 antonio montagnani 2009-10-04 13:21:09 EDT
I realized that System monitor (although installed) was missing in my
 menu (I would say that at a certain point it has been deleted during
some update).
so using System/Preferences/Menus I added a new item to existing menu,
but I couldn't find the correct icon on my PC....where should be the
correct icon be located???

I found only utilities-system-monitor.svg in /usr/share/icons/gnome/scalable/apps.
forgot to say in order to be clear that when I go to
/usr/share/icons/gnome/scalable/apps in alacarte, I don't see any svg
file, that are really present in such folder.
Comment 5 Matthias Clasen 2009-10-04 15:08:34 EDT
You didn't answer my question in comment 1
Comment 6 antonio montagnani 2009-10-04 15:23:29 EDT
I follow this procedure

I open alacarte, add a ner launcher in System tool
I digit gnome-system-monitor in the empty line and at this point I get this icon:


I assume that the correct icon is 
/usr/share/icons/gnome/scalable/apps/utilities-system-monitor.svg but if I go to that directory with alacarte I get an empty window

If I check I have this file in that directory with about 90 elements :

Please note that on other two F11 systems menu is correct for System monitor (i.e. it is present and not to be added)

Forgot to answer to comment #1 because I didn't check after switching from rawhide to F11.
Please note that this system is a F11 that was upgraded from rawhide.

Comment 7 Matthias Clasen 2009-10-04 16:23:27 EDT
I would propose to investigate why gnome-system-monitor does not show up in the system tools menu even though it is installed. 

Some useful things to try:

rpm --verify gnome-system-monitor

inspect /usr/share/applications/gnome-system-monitor.desktop

rm ~/.local/share/applications/gnome-system-monitor.*
Comment 8 antonio montagnani 2009-10-04 17:05:36 EDT
rpm --verify gnome-system-monitor gives no error

inspect /usr/share/applications/gnome-system-monitor.desktop 
bash: inspect: command not found 

rm ~/.local/share/applications/gnome-system-monitor.* o.k.

No way to have it on my menu.I disinstalled it and re-installed with no result

Please note that same application for different user is shown in his menu...
Comment 9 antonio montagnani 2009-10-04 17:09:24 EDT
rpm --verify gnome-system-monitor gives no error

inspect /usr/share/applications/gnome-system-monitor.desktop 
bash: inspect: command not found 

rm ~/.local/share/applications/gnome-system-monitor.* o.k.

No way to have it on my menu.I disinstalled it and re-installed with no result

Please note that same application for different user is shown in his menu...
Comment 10 antonio montagnani 2009-10-04 17:17:29 EDT
should it work if I delete gconf & gconfd folders??? then log out an log in???
Comment 11 antonio montagnani 2009-10-04 17:40:03 EDT
I removed ./gconf ./gconfd ./gnome2 folders, logout login and now my menu shows gnome-system-monitor....
Comment 12 Bug Zapper 2010-04-27 10:16:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.